# -*- perl -*-

BEGIN { 
      eval "use ReDIF::Record;";
      if ( $@ ) {
         print "1..0 # Skipped: ReDIF-perl is not installed\n";
	 exit;
      }
}

use AMF::Tests;

use AMF::2ReDIF;
use AMF::Parser;
use Data::Dumper;

test amf_open_file 'testsuite/11.xml';

my $r;
test $r = amf_get_next_record;

print Dumper( $r );

my $t;
test $t = AMF::2ReDIF::translate( $r );

print Dumper( $t );
if ( $t ) {

   my $name;
   my $name_en;
   test $name    = $t -> get_value( 'name' );

   test $name =~ /Economics department/im, $name;

}
